onEvent('recipes', event => {
	event.remove({id: 'immersiveengineering:crafting/stick_iron'})
	event.remove({id: 'immersiveengineering:crafting/stick_steel'})
	event.remove({id: 'immersiveengineering:crafting/stick_aluminum'})
	
	// высоковольтное реле
	event.remove({output: 'immersiveengineering:connector_hv_relay'})
	event.shaped('2x immersiveengineering:connector_hv_relay', [
		'SSS',
		'SCS',
		'III'
	  ], {
		S: 'immersiveengineering:slag_glass',
        I: 'immersiveengineering:ingot_aluminum'
	  })
	event.shaped('2x immersiveengineering:connector_hv_relay', [
		' I ',
		'SIS',
		'SIS'
	  ], {
		S: 'immersiveengineering:insulating_glass',
        I: 'immersiveengineering:ingot_aluminum'
	  })
	// высоковольтный коннектор
	event.remove({output: 'immersiveengineering:connector_hv'})
	event.shaped('1x immersiveengineering:connector_hv', [
		' I ',
		'SIS',
		'SIS'
	  ], {
		S: '#immersiveengineering:connector_insulator',
        I: 'immersiveengineering:ingot_aluminum'
	  })
	// средневольтный коннектор
	event.remove({output: 'immersiveengineering:connector_mv'})
	event.shaped('1x immersiveengineering:connector_mv', [
		' I ',
		'SIS',
		'SIS'
	  ], {
		S: '#immersiveengineering:connector_insulator',
        I: 'immersiveengineering:ingot_electrum'
	  })
	// средневольтное реле
	event.remove({output: 'immersiveengineering:connector_mv_relay'})
	event.shaped('2x immersiveengineering:connector_mv_relay', [
		'   ',
		' I ',
		'SIS'
	  ], {
		S: '#immersiveengineering:connector_insulator',
        I: 'immersiveengineering:ingot_electrum'
	  })
	  
	// низковольтный коннектор
	event.remove({output: 'immersiveengineering:connector_lv'})
	event.shaped('1x immersiveengineering:connector_lv', [
		' I ',
		'SIS',
		'SIS'
	  ], {
		S: '#immersiveengineering:connector_insulator',
        I: 'minecraft:copper_ingot'
	  })
	// низковольтное реле
	event.remove({output: 'immersiveengineering:connector_lv_relay'})
	event.shaped('2x immersiveengineering:connector_lv_relay', [
		'   ',
		' I ',
		'SIS'
	  ], {
		S: '#immersiveengineering:connector_insulator',
        I: 'minecraft:copper_ingot'
	  })
	  
	  
	// моток низковольтного провода
	event.remove({output: 'immersiveengineering:wirecoil_copper'})
	event.shaped('1x immersiveengineering:wirecoil_copper', [
		' W ',
		'WSW',
		' W '
	  ], {
		S: '#byg:sticks',
        W: 'immersiveengineering:wire_copper'
	  })
	// моток средневольтного провода
	event.remove({output: 'immersiveengineering:wirecoil_electrum'})
	event.shaped('1x immersiveengineering:wirecoil_electrum', [
		' W ',
		'WSW',
		' W '
	  ], {
		S: '#byg:sticks',
        W: 'immersiveengineering:wire_electrum'
	  })
	// моток редстоунового провода
	event.remove({output: 'immersiveengineering:wirecoil_redstone'})
	event.shaped('1x immersiveengineering:wirecoil_redstone', [
		' W ',
		'RSR',
		' W '
	  ], {
		S: '#byg:sticks',
        W: 'immersiveengineering:wire_aluminum',
        R: 'minecraft:redstone'
	  })
	// моток редстоунового провода
	event.remove({output: 'immersiveengineering:wirecoil_steel'})
	event.shaped('1x immersiveengineering:wirecoil_steel', [
		' W ',
		'ASA',
		' W '
	  ], {
		S: '#byg:sticks',
        W: 'immersiveengineering:wire_steel',
        A: 'immersiveengineering:wire_aluminum'
	  })
	  
	
	// крепление из обработанной древесины
	event.remove({output: 'immersiveengineering:treated_wallmount'})
	event.shaped('1x immersiveengineering:treated_wallmount', [
		'PP ',
		'PS '
	  ], {
		S: 'immersiveengineering:stick_treated',
        P: '#forge:treated_wood'
	  })
	// стальной крепёж
	event.remove({output: 'immersiveengineering:steel_wallmount'})
	event.shaped('1x immersiveengineering:steel_wallmount', [
		'PP ',
		'PS '
	  ], {
		S: 'immersiveengineering:stick_steel',
        P: 'immersiveengineering:ingot_steel'
	  })
	// алюминиевый крепёж
	event.remove({output: 'immersiveengineering:alu_wallmount'})
	event.shaped('1x immersiveengineering:alul_wallmount', [
		'PP ',
		'PS '
	  ], {
		S: 'immersiveengineering:stick_aluminum',
        P: 'immersiveengineering:ingot_aluminum'
	  })
	  
	  
	// стальной листовой металл
	event.remove({output: 'immersiveengineering:sheetmetal_steel'})
	event.shaped('1x immersiveengineering:sheetmetal_steel', [
		' P ',
		'P P',
		' P '
	  ], {
        P: 'immersiveengineering:plate_steel'
	  })
	// железный листовой металл
	event.remove({output: 'immersiveengineering:sheetmetal_iron'})
	event.shaped('1x immersiveengineering:sheetmetal_iron', [
		' P ',
		'P P',
		' P '
	  ], {
        P: 'create:iron_sheet'
	  })
	  
	  
	// жидкостная труба
	event.remove({output: 'immersiveengineering:fluid_pipe'})
	event.shaped('4x immersiveengineering:fluid_pipe', [
		'SSS',
		'   ',
		'SSS'
	  ], {
        S: 'create:iron_sheet'
	  })
	// конвейерная лента
	event.remove({output: 'immersiveengineering:conveyor_basic'})
	event.shaped('4x immersiveengineering:conveyor_basic', [
		'   ',
		'LLL',
		'IRI'
	  ], {
        I: 'minecraft:iron_ingot',
        L: '#forge:leather',
        R: 'minecraft:redstone'
	  })
	  
	  
	// кирпич коксовой печи
	event.remove({id: 'immersiveengineering:crafting/cokebrick'})
	event.shaped('1x immersiveengineering:cokebrick', [
		'CBC',
		'BSB',
		'CBC'
	  ], {
        C: 'minecraft:clay_ball',
        B: '#forge:ingots/brick',
        S: '#forge:sandstone'
	  })
	// кирпич доменной печи
	event.remove({id: 'immersiveengineering:crafting/blastbrick'})
	event.shaped('1x immersiveengineering:blastbrick', [
		'CBC',
		'BSB',
		'CBC'
	  ], {
        C: 'minecraft:nether_brick',
        B: '#forge:ingots/brick',
        S: 'minecraft:magma_block'
	  })
	
})